// Code generated by protoc-gen-go. DO NOT EDIT.
// source: models/phonebook.proto

/*
Package models is a generated protocol buffer package.

It is generated from these files:
	models/phonebook.proto

It has these top-level messages:
	RecordRequest
	RecordFullRequest
	RecordResponse
	UpdateNameRequest
	RecordKey
*/
package models

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type RecordRequest struct {
	Phone string `protobuf:"bytes,1,opt,name=phone" json:"phone,omitempty"`
}

func (m *RecordRequest) Reset()                    { *m = RecordRequest{} }
func (m *RecordRequest) String() string            { return proto.CompactTextString(m) }
func (*RecordRequest) ProtoMessage()               {}
func (*RecordRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *RecordRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

type RecordFullRequest struct {
	Phone  string                    `protobuf:"bytes,1,opt,name=phone" json:"phone,omitempty"`
	Name   string                    `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Adress *RecordFullRequest_Adress `protobuf:"bytes,3,opt,name=adress" json:"adress,omitempty"`
}

func (m *RecordFullRequest) Reset()                    { *m = RecordFullRequest{} }
func (m *RecordFullRequest) String() string            { return proto.CompactTextString(m) }
func (*RecordFullRequest) ProtoMessage()               {}
func (*RecordFullRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *RecordFullRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *RecordFullRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *RecordFullRequest) GetAdress() *RecordFullRequest_Adress {
	if m != nil {
		return m.Adress
	}
	return nil
}

type RecordFullRequest_Adress struct {
	Sity       string `protobuf:"bytes,1,opt,name=sity" json:"sity,omitempty"`
	Street     string `protobuf:"bytes,2,opt,name=street" json:"street,omitempty"`
	Building   string `protobuf:"bytes,3,opt,name=building" json:"building,omitempty"`
	Appartment string `protobuf:"bytes,4,opt,name=appartment" json:"appartment,omitempty"`
}

func (m *RecordFullRequest_Adress) Reset()                    { *m = RecordFullRequest_Adress{} }
func (m *RecordFullRequest_Adress) String() string            { return proto.CompactTextString(m) }
func (*RecordFullRequest_Adress) ProtoMessage()               {}
func (*RecordFullRequest_Adress) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1, 0} }

func (m *RecordFullRequest_Adress) GetSity() string {
	if m != nil {
		return m.Sity
	}
	return ""
}

func (m *RecordFullRequest_Adress) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *RecordFullRequest_Adress) GetBuilding() string {
	if m != nil {
		return m.Building
	}
	return ""
}

func (m *RecordFullRequest_Adress) GetAppartment() string {
	if m != nil {
		return m.Appartment
	}
	return ""
}

type RecordResponse struct {
	Phone  string `protobuf:"bytes,1,opt,name=phone" json:"phone,omitempty"`
	Status bool   `protobuf:"varint,2,opt,name=status" json:"status,omitempty"`
}

func (m *RecordResponse) Reset()                    { *m = RecordResponse{} }
func (m *RecordResponse) String() string            { return proto.CompactTextString(m) }
func (*RecordResponse) ProtoMessage()               {}
func (*RecordResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *RecordResponse) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *RecordResponse) GetStatus() bool {
	if m != nil {
		return m.Status
	}
	return false
}

type UpdateNameRequest struct {
	Phone string `protobuf:"bytes,1,opt,name=phone" json:"phone,omitempty"`
	Name  string `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
}

func (m *UpdateNameRequest) Reset()                    { *m = UpdateNameRequest{} }
func (m *UpdateNameRequest) String() string            { return proto.CompactTextString(m) }
func (*UpdateNameRequest) ProtoMessage()               {}
func (*UpdateNameRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *UpdateNameRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *UpdateNameRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type RecordKey struct {
	Phone string `protobuf:"bytes,1,opt,name=phone" json:"phone,omitempty"`
}

func (m *RecordKey) Reset()                    { *m = RecordKey{} }
func (m *RecordKey) String() string            { return proto.CompactTextString(m) }
func (*RecordKey) ProtoMessage()               {}
func (*RecordKey) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *RecordKey) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func init() {
	proto.RegisterType((*RecordRequest)(nil), "models.RecordRequest")
	proto.RegisterType((*RecordFullRequest)(nil), "models.RecordFullRequest")
	proto.RegisterType((*RecordFullRequest_Adress)(nil), "models.RecordFullRequest.Adress")
	proto.RegisterType((*RecordResponse)(nil), "models.RecordResponse")
	proto.RegisterType((*UpdateNameRequest)(nil), "models.UpdateNameRequest")
	proto.RegisterType((*RecordKey)(nil), "models.RecordKey")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for PhoneBook service

type PhoneBookClient interface {
	AddNewRec(ctx context.Context, in *RecordFullRequest, opts ...grpc.CallOption) (*RecordResponse, error)
	FindRec(ctx context.Context, in *RecordRequest, opts ...grpc.CallOption) (*RecordFullRequest, error)
	DeleteRec(ctx context.Context, in *RecordRequest, opts ...grpc.CallOption) (*RecordResponse, error)
	UpdateName(ctx context.Context, in *UpdateNameRequest, opts ...grpc.CallOption) (*RecordResponse, error)
	ViewRecords(ctx context.Context, in *RecordKey, opts ...grpc.CallOption) (PhoneBook_ViewRecordsClient, error)
}

type phoneBookClient struct {
	cc *grpc.ClientConn
}

func NewPhoneBookClient(cc *grpc.ClientConn) PhoneBookClient {
	return &phoneBookClient{cc}
}

func (c *phoneBookClient) AddNewRec(ctx context.Context, in *RecordFullRequest, opts ...grpc.CallOption) (*RecordResponse, error) {
	out := new(RecordResponse)
	err := grpc.Invoke(ctx, "/models.PhoneBook/AddNewRec", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) FindRec(ctx context.Context, in *RecordRequest, opts ...grpc.CallOption) (*RecordFullRequest, error) {
	out := new(RecordFullRequest)
	err := grpc.Invoke(ctx, "/models.PhoneBook/FindRec", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) DeleteRec(ctx context.Context, in *RecordRequest, opts ...grpc.CallOption) (*RecordResponse, error) {
	out := new(RecordResponse)
	err := grpc.Invoke(ctx, "/models.PhoneBook/DeleteRec", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) UpdateName(ctx context.Context, in *UpdateNameRequest, opts ...grpc.CallOption) (*RecordResponse, error) {
	out := new(RecordResponse)
	err := grpc.Invoke(ctx, "/models.PhoneBook/UpdateName", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) ViewRecords(ctx context.Context, in *RecordKey, opts ...grpc.CallOption) (PhoneBook_ViewRecordsClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_PhoneBook_serviceDesc.Streams[0], c.cc, "/models.PhoneBook/ViewRecords", opts...)
	if err != nil {
		return nil, err
	}
	x := &phoneBookViewRecordsClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type PhoneBook_ViewRecordsClient interface {
	Recv() (*RecordFullRequest, error)
	grpc.ClientStream
}

type phoneBookViewRecordsClient struct {
	grpc.ClientStream
}

func (x *phoneBookViewRecordsClient) Recv() (*RecordFullRequest, error) {
	m := new(RecordFullRequest)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// Server API for PhoneBook service

type PhoneBookServer interface {
	AddNewRec(context.Context, *RecordFullRequest) (*RecordResponse, error)
	FindRec(context.Context, *RecordRequest) (*RecordFullRequest, error)
	DeleteRec(context.Context, *RecordRequest) (*RecordResponse, error)
	UpdateName(context.Context, *UpdateNameRequest) (*RecordResponse, error)
	ViewRecords(*RecordKey, PhoneBook_ViewRecordsServer) error
}

func RegisterPhoneBookServer(s *grpc.Server, srv PhoneBookServer) {
	s.RegisterService(&_PhoneBook_serviceDesc, srv)
}

func _PhoneBook_AddNewRec_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RecordFullRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).AddNewRec(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/AddNewRec",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).AddNewRec(ctx, req.(*RecordFullRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_FindRec_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RecordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).FindRec(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/FindRec",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).FindRec(ctx, req.(*RecordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_DeleteRec_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RecordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).DeleteRec(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/DeleteRec",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).DeleteRec(ctx, req.(*RecordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_UpdateName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateNameRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).UpdateName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/UpdateName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).UpdateName(ctx, req.(*UpdateNameRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_ViewRecords_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(RecordKey)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(PhoneBookServer).ViewRecords(m, &phoneBookViewRecordsServer{stream})
}

type PhoneBook_ViewRecordsServer interface {
	Send(*RecordFullRequest) error
	grpc.ServerStream
}

type phoneBookViewRecordsServer struct {
	grpc.ServerStream
}

func (x *phoneBookViewRecordsServer) Send(m *RecordFullRequest) error {
	return x.ServerStream.SendMsg(m)
}

var _PhoneBook_serviceDesc = grpc.ServiceDesc{
	ServiceName: "models.PhoneBook",
	HandlerType: (*PhoneBookServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddNewRec",
			Handler:    _PhoneBook_AddNewRec_Handler,
		},
		{
			MethodName: "FindRec",
			Handler:    _PhoneBook_FindRec_Handler,
		},
		{
			MethodName: "DeleteRec",
			Handler:    _PhoneBook_DeleteRec_Handler,
		},
		{
			MethodName: "UpdateName",
			Handler:    _PhoneBook_UpdateName_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "ViewRecords",
			Handler:       _PhoneBook_ViewRecords_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "models/phonebook.proto",
}

func init() { proto.RegisterFile("models/phonebook.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 357 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x53, 0x41, 0x4b, 0xf3, 0x40,
	0x10, 0x6d, 0xfa, 0xf5, 0xcb, 0xd7, 0x4c, 0xf9, 0x84, 0x2e, 0x5a, 0x62, 0x0f, 0x52, 0x03, 0x42,
	0x4f, 0x51, 0xea, 0xc5, 0x83, 0x55, 0x2b, 0xd2, 0x4b, 0xa1, 0xc8, 0x82, 0xde, 0xb7, 0xdd, 0x41,
	0x43, 0x93, 0xec, 0x9a, 0xdd, 0x20, 0xfd, 0x93, 0xfe, 0x0f, 0xff, 0x85, 0x74, 0x37, 0xb5, 0xd6,
	0x9a, 0x80, 0xb7, 0x99, 0xb7, 0x6f, 0xde, 0x9b, 0x79, 0xb0, 0xd0, 0x49, 0x04, 0xc7, 0x58, 0x9d,
	0xca, 0x67, 0x91, 0xe2, 0x4c, 0x88, 0x45, 0x28, 0x33, 0xa1, 0x05, 0x71, 0x2d, 0x1e, 0x9c, 0xc0,
	0x7f, 0x8a, 0x73, 0x91, 0x71, 0x8a, 0x2f, 0x39, 0x2a, 0x4d, 0xf6, 0xe1, 0xaf, 0xe1, 0xfa, 0x4e,
	0xcf, 0xe9, 0x7b, 0xd4, 0x36, 0xc1, 0xbb, 0x03, 0x6d, 0xcb, 0x1b, 0xe7, 0x71, 0x5c, 0xc9, 0x25,
	0x04, 0x1a, 0x29, 0x4b, 0xd0, 0xaf, 0x1b, 0xd0, 0xd4, 0xe4, 0x02, 0x5c, 0xc6, 0x33, 0x54, 0xca,
	0xff, 0xd3, 0x73, 0xfa, 0xad, 0x41, 0x2f, 0xb4, 0xfe, 0xe1, 0x8e, 0x68, 0x38, 0x32, 0x3c, 0x5a,
	0xf0, 0xbb, 0x12, 0x5c, 0x8b, 0xac, 0x74, 0x55, 0xa4, 0x97, 0x85, 0x99, 0xa9, 0x49, 0x07, 0x5c,
	0xa5, 0x33, 0x44, 0x5d, 0xb8, 0x15, 0x1d, 0xe9, 0x42, 0x73, 0x96, 0x47, 0x31, 0x8f, 0xd2, 0x27,
	0xe3, 0xe8, 0xd1, 0xcf, 0x9e, 0x1c, 0x01, 0x30, 0x29, 0x59, 0xa6, 0x13, 0x4c, 0xb5, 0xdf, 0x30,
	0xaf, 0x5f, 0x90, 0xe0, 0x0a, 0xf6, 0xd6, 0x91, 0x28, 0x29, 0x52, 0x85, 0x25, 0x77, 0x1a, 0x6f,
	0xa6, 0x73, 0x65, 0xbc, 0x9b, 0xb4, 0xe8, 0x82, 0x21, 0xb4, 0x1f, 0x24, 0x67, 0x1a, 0xa7, 0x2c,
	0xc1, 0x5f, 0x47, 0x15, 0x1c, 0x83, 0x67, 0xed, 0x27, 0xb8, 0xfc, 0x79, 0x6c, 0xf0, 0x56, 0x07,
	0xef, 0x7e, 0x55, 0xdd, 0x0a, 0xb1, 0x20, 0x37, 0xe0, 0x8d, 0x38, 0x9f, 0xe2, 0x2b, 0xc5, 0x39,
	0x39, 0x2c, 0x0d, 0xb6, 0xdb, 0xd9, 0x7e, 0x5a, 0x5f, 0x17, 0xd4, 0xc8, 0x10, 0xfe, 0x8d, 0xa3,
	0x94, 0xaf, 0xe6, 0x0f, 0xbe, 0x93, 0xec, 0x6c, 0xb9, 0x6c, 0x50, 0x23, 0x97, 0xe0, 0xdd, 0x61,
	0x8c, 0x1a, 0x2b, 0x04, 0xca, 0xcd, 0x47, 0x00, 0x9b, 0xb8, 0x36, 0xfb, 0xef, 0x44, 0x58, 0x21,
	0x71, 0x0d, 0xad, 0xc7, 0xc8, 0xdc, 0x2f, 0x32, 0xae, 0x48, 0x7b, 0x9b, 0x38, 0xc1, 0x65, 0xe5,
	0xfe, 0x67, 0xce, 0xcc, 0x35, 0x9f, 0xe2, 0xfc, 0x23, 0x00, 0x00, 0xff, 0xff, 0xc4, 0xb0, 0xc5,
	0x6c, 0x2e, 0x03, 0x00, 0x00,
}
